| Classes - Annotated - Tree - Functions - Home - Structure

# QDomText Class Reference
[ XML module ]

The QDomText class represents textual data in the parsed XML document. More...

`#include <qdom.h>`

Inherits QDomCharacterData.

Inherited by QDomCDATASection.

List of all member functions.

## Public Members

- QDomText ()
- QDomText ( const QDomText & x )
- QDomText& operator= ( const QDomText & )
- ~QDomText ()
- QDomText splitText ( int offset )
- virtual QDomNode::NodeType nodeType () const
- virtual bool isText () const

## Detailed Description

The QDomText class represents textual data in the parsed XML document.

For further information about the Document Objct Model see http://www.w3.org/TR/REC-DOM-Level-1/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Member Function Documentation

### QDomText::QDomText ()

Constructs an empty QDomText object.

To construct a QDomText with content, use QDomDocument::createTextNode().

### QDomText::QDomText ( const QDomText & x )

Copy constructor.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

### QDomText::~QDomText ()

Destructor.

### bool QDomText::isText () const `[virtual]`

Returns TRUE.

Reimplemented from QDomNode.

### QDomNode::NodeType QDomText::nodeType() const `[virtual]`

Returns `TextNode.`

Reimplemented from QDomNode.

### QDomText& QDomText::operator= ( const QDomText & x )

Assignment operator.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

### QDomText QDomText::splitText ( int offset )

Splits this object at position offset into two QDomText objects. The newly created object is inserted into the document tree after this object.

The function returns the newly created object.

See also QDomElement::normalize().

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.